org.eclipse.mat.ui.editor

## Class MultiPaneEditorSite

- java.lang.Object
- - org.eclipse.mat.ui.editor.MultiPaneEditorSite

All Implemented Interfaces:
  IAdaptable, IShellProvider, IEditorSite, IWorkbenchPartSite, IWorkbenchSite, IServiceLocator

    public class MultiPaneEditorSite
    extends Object
    implements IEditorSite

### Constructor Summary

Constructors
Constructor and Description
`MultiPaneEditorSite(MultiPaneEditor multiPageEditor, IEditorPart editor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IEditorActionBarContributor` `getActionBarContributor()`
`IActionBars` `getActionBars()`
`Object` `getAdapter(Class adapter)`
`IEditorPart` `getEditor()`
`String` `getId()`
`IKeyBindingService` `getKeyBindingService()`
`MultiPaneEditor` `getMultiPageEditor()`
`IWorkbenchPage` `getPage()`
`IWorkbenchPart` `getPart()`
`String` `getPluginId()`
`String` `getRegisteredName()`
`ISelectionProvider` `getSelectionProvider()`
`Object` `getService(Class api)`
`Shell` `getShell()`
`IWorkbenchWindow` `getWorkbenchWindow()`
`boolean` `hasService(Class api)`
`void` `registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider)`
`void` `registerContextMenu(MenuManager menuManager, ISelectionProvider selectionProvider, boolean includeEditorInput)`
`void` `registerContextMenu(String menuID, MenuManager menuMgr, ISelectionProvider selectionProvider)`
`void` `registerContextMenu(String menuId, MenuManager menuMgr, ISelectionProvider selectionProvider, boolean includeEditorInput)`
`void` `setSelectionProvider(ISelectionProvider provider)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiPaneEditorSite

    public MultiPaneEditorSite(MultiPaneEditor multiPageEditor,
                               IEditorPart editor)

### Method Detail

#### getActionBarContributor

    public IEditorActionBarContributor getActionBarContributor()

Specified by:
  `getActionBarContributor` in interface `IEditorSite`

#### getActionBars

    public IActionBars getActionBars()

Specified by:
  `getActionBars` in interface `IEditorSite`

#### getEditor

    public IEditorPart getEditor()

#### getId

    public String getId()

Specified by:
  `getId` in interface `IWorkbenchPartSite`

#### getMultiPageEditor

    public MultiPaneEditor getMultiPageEditor()

#### getPage

    public IWorkbenchPage getPage()

Specified by:
  `getPage` in interface `IWorkbenchSite`

#### getPluginId

    public String getPluginId()

Specified by:
  `getPluginId` in interface `IWorkbenchPartSite`

#### getRegisteredName

    public String getRegisteredName()

Specified by:
  `getRegisteredName` in interface `IWorkbenchPartSite`

#### getSelectionProvider

    public ISelectionProvider getSelectionProvider()

Specified by:
  `getSelectionProvider` in interface `IWorkbenchSite`

#### getShell

    public Shell getShell()

Specified by:
  `getShell` in interface `IShellProvider`
Specified by:
  `getShell` in interface `IWorkbenchSite`

#### getWorkbenchWindow

    public IWorkbenchWindow getWorkbenchWindow()

Specified by:
  `getWorkbenchWindow` in interface `IWorkbenchSite`

#### registerContextMenu

    public void registerContextMenu(String menuID,
                                    MenuManager menuMgr,
                                    ISelectionProvider selectionProvider)

Specified by:
  `registerContextMenu` in interface `IWorkbenchPartSite`

#### registerContextMenu

    public void registerContextMenu(MenuManager menuManager,
                                    ISelectionProvider selectionProvider)

Specified by:
  `registerContextMenu` in interface `IWorkbenchPartSite`

#### registerContextMenu

    public final void registerContextMenu(String menuId,
                                          MenuManager menuMgr,
                                          ISelectionProvider selectionProvider,
                                          boolean includeEditorInput)

Specified by:
  `registerContextMenu` in interface `IEditorSite`

#### registerContextMenu

    public final void registerContextMenu(MenuManager menuManager,
                                          ISelectionProvider selectionProvider,
                                          boolean includeEditorInput)

Specified by:
  `registerContextMenu` in interface `IEditorSite`

#### setSelectionProvider

    public void setSelectionProvider(ISelectionProvider provider)

Specified by:
  `setSelectionProvider` in interface `IWorkbenchSite`

#### getAdapter

    public Object getAdapter(Class adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`

#### getPart

    public IWorkbenchPart getPart()

Specified by:
  `getPart` in interface `IWorkbenchPartSite`

#### getService

    public Object getService(Class api)

Specified by:
  `getService` in interface `IServiceLocator`

#### hasService

    public boolean hasService(Class api)

Specified by:
  `hasService` in interface `IServiceLocator`

#### getKeyBindingService

    public IKeyBindingService getKeyBindingService()

Specified by:
  `getKeyBindingService` in interface `IWorkbenchPartSite`